Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02212 Save/Restore Minor Always Sep 7, 2008, 17:22 Feb 21, 2009, 20:36
Tester rhurst View Status Public Platform MAME (Official Binary)
Assigned To couriersud Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver bzone.cpp
Version 0.127 Fixed in Version 0.129u5 Build I686
Summary 02212: bzone: vector drawing corruption when using a save state
Description Game plays, just a variety of vector lines draw off-screen when using a valid save state.
Steps To Reproduce Works fine after deleting sta/bzone folder and running Battle Zone. Launching a 2nd time, and when state successfully loads, vector line-drawing goes jittery.
Additional Information I also tested in a separate directory under Linux using sdlmame 0.127, and it exhibits the exact same behavior upon re-using a save state. Works fine when it is deleted.
Flags
Regression Version
Affected Sets / Systems bzone
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.02411
etabeta
Developer
Sep 8, 2008, 18:29
could this be related to the change of avg_done in a custom_input (even if it would have been present also before 0.127, in this case)? I thought that since avg->sync_halt was already saved there would have been no problems...
User avatar
No.03002
rhurst
Tester
Nov 6, 2008, 18:31
Tested again on .128 and still fails. The same behavior occurs with redbaron, another Atari vector game, possibly related to same bug.
User avatar
No.03766
couriersud
Developer
Feb 20, 2009, 23:33
This seems to be a general timing issue. When load ing a save state, the screen is only update half as often as with a fresh start.
More specifically, with a save state, I have to press 5x Shift-P in Pause Mode to get an update, whereas after a fresh start it is 2x to 3x.
Loading a save state does not exhibit the issue at all.